com.tibco.tea.agent.types

## Class AgentObjectIdentifier

- java.lang.Object
- - com.tibco.tea.agent.types.AgentObjectIdentifier

- Direct Known Subclasses:
    AgentObjectHardLink, AgentObjectSoftLink

      public class AgentObjectIdentifier
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AgentObjectIdentifier()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getConfig()`
    `String` | `getDescription()`
    `String` | `getKey()` Gets the value of the key property.
    `String` | `getName()` Gets the value of the name property.
    `String` | `getType()` Gets the value of the type property.
    `void` | `setConfig(Object config)`
    `void` | `setDescription(String description)`
    `void` | `setKey(String value)` Sets the value of the key property.
    `void` | `setName(String value)` Sets the value of the name property.
    `void` | `setType(String value)` Sets the value of the type property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AgentObjectIdentifier

          public AgentObjectIdentifier()

  - ### Method Detail

    - #### getConfig

          public Object getConfig()

    - #### setConfig

          public final void setConfig(Object config)

    - #### getName

          public String getName()

      Gets the value of the name property.
      Returns:
        possible object is `String`

    - #### setName

          public void setName(String value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `String`

    - #### getType

          public String getType()

      Gets the value of the type property.
      Returns:
        possible object is `String`

    - #### setType

          public void setType(String value)

      Sets the value of the type property.
      Parameters:
        `value` - allowed object is `String`

    - #### getKey

          public String getKey()

      Gets the value of the key property.
      Returns:
        possible object is `String`

    - #### setKey

          public void setKey(String value)

      Sets the value of the key property.
      Parameters:
        `value` - allowed object is `String`

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription(String description)

Copyright © 2022 TIBCO Software Inc.. All Rights Reserved.